# -*- encoding: utf-8 -*-
lib = "mmonitor"
lib_file = File.expand_path("../lib/#{lib}.rb", __FILE__)
File.read(lib_file) =~ /\bVERSION\s*=\s*["'](.+?)["']/
version = $1

Gem::Specification.new do |spec|
  spec.name          = lib
  spec.version       = version
  spec.authors       = ["Xu Fei", "Howl王"]
  spec.email         = ["xfstart07@gmail.com", "howl.wong@gmail.com"]
  spec.summary       = %q{Write a short summary. Required.}
  spec.description   = %q{Write a longer description. Optional.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files = %w(Gemfile README.md Rakefile)
  spec.files << "#{lib}.gemspec"
  spec.files += Dir.glob("lib/**/*.rb")

  spec.add_runtime_dependency 'oj', '~> 2.8', '>= 2.8.1'
  spec.add_runtime_dependency 'faraday', '~> 0.9', '>= 0.9.0'
  spec.add_runtime_dependency 'nokogiri', '~> 1.6', '>= 1.6.1'
  spec.add_runtime_dependency 'rtesseract', '~> 1.2', '>= 1.2.1'
  spec.add_runtime_dependency 'mini_magick', '~> 3.7', '>= 3.7.0'
  spec.add_runtime_dependency 'addressable', '~> 2.3', '>= 2.3.6'
  spec.add_runtime_dependency 'activesupport', '~> 4.1', '>= 4.1.0'

  spec.add_development_dependency 'pry', '~> 0.9', '>= 0.9.12.6'
  spec.add_development_dependency 'awesome_print', '~> 1.2', '>= 1.2.0'
end
